Difference between revisions of "Dependencies"

From LinuxIntro
Jump to: navigation, search
(Examples)
Line 11: Line 11:
 
Solution, in this case for SUSE 11.3:
 
Solution, in this case for SUSE 11.3:
 
  yast -i qt3-32bit
 
  yast -i qt3-32bit
 +
 +
== When installing a program, files are missing ==
 +
Here we try to install the [[rpm]] [[package]] [[audacity]], but we are missing some software it depends on:
 +
# rpm -ivh /mnt/loop/suse/x86_64/audacity-1.3.12-3.6.x86_64.rpm
 +
error: Failed dependencies:
 +
        libSoundTouch.so.0()(64bit) is needed by audacity-1.3.12-3.6.x86_64
 +
        libid3tag.so.0()(64bit) is needed by audacity-1.3.12-3.6.x86_64
 +
        libvamp-hostsdk.so.3()(64bit) is needed by audacity-1.3.12-3.6.x86_64
  
 
== When building a program, a package is missing ==
 
== When building a program, a package is missing ==

Revision as of 05:50, 5 January 2011

Software dependencies is if a software needs another software in order to be run, installed or built. To reduce complexity of software that you need to installed, software is grouped into packages like firefox, skype, thunderbird and the like. Dependencies will typically hit you in the following cases:

  • when running a program, a file/package is missing
  • when installing a program, a file/package is missing
  • when compiling a program, file/package is missing

Contents

Examples

When running a program, a file is missing

Error message, in this case by umtsmon:

./umtsmon: error while loading shared libraries: libqt-mt.so.3: cannot open shared object file: No such file or directory

Solution, in this case for SUSE 11.3:

yast -i qt3-32bit

When installing a program, files are missing

Here we try to install the rpm package audacity, but we are missing some software it depends on:

# rpm -ivh /mnt/loop/suse/x86_64/audacity-1.3.12-3.6.x86_64.rpm 
error: Failed dependencies:
        libSoundTouch.so.0()(64bit) is needed by audacity-1.3.12-3.6.x86_64
        libid3tag.so.0()(64bit) is needed by audacity-1.3.12-3.6.x86_64
        libvamp-hostsdk.so.3()(64bit) is needed by audacity-1.3.12-3.6.x86_64

When building a program, a package is missing

Error message (in this case from xawtv):

Oops:   jpeg library not found.  You need this one, please install.

Solution (in this case for SUSE 11.3):

yast -i libjpeg-devel